Package org.optaplanner.core.impl.heuristic.selector.common

## Class SelectionCacheLifecycleBridge<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.common.SelectionCacheLifecycleBridge<Solution_>

- All Implemented Interfaces:
    `EventListener`, `PhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`

      public class SelectionCacheLifecycleBridge<Solution_>
      extends Object
      implements PhaseLifecycleListener<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected SelectionCacheType` | `cacheType` |
    `protected SelectionCacheLifecycleListener<Solution_>` | `selectionCacheLifecycleListener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SelectionCacheLifecycleBridge​(SelectionCacheType cacheType, SelectionCacheLifecycleListener<Solution_> selectionCacheLifecycleListener)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `phaseEnded​(AbstractPhaseScope<Solution_> phaseScope)` |
    `void` | `phaseStarted​(AbstractPhaseScope<Solution_> phaseScope)` |
    `void` | `solvingEnded​(SolverScope<Solution_> solverScope)` |
    `void` | `solvingStarted​(SolverScope<Solution_> solverScope)` |
    `void` | `stepEnded​(AbstractStepScope<Solution_> stepScope)` |
    `void` | `stepStarted​(AbstractStepScope<Solution_> stepScope)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cacheType

          protected final SelectionCacheType cacheType

    - #### selectionCacheLifecycleListener

          protected final SelectionCacheLifecycleListener<Solution_> selectionCacheLifecycleListener

  - ### Constructor Detail

    - #### SelectionCacheLifecycleBridge

          public SelectionCacheLifecycleBridge​(SelectionCacheType cacheType,
                                               SelectionCacheLifecycleListener<Solution_> selectionCacheLifecycleListener)

  - ### Method Detail

    - #### solvingStarted

          public void solvingStarted​(SolverScope<Solution_> solverScope)

      Specified by:
        `solvingStarted` in interface `SolverLifecycleListener<Solution_>`

    - #### phaseStarted

          public void phaseStarted​(AbstractPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseStarted` in interface `PhaseLifecycleListener<Solution_>`

    - #### stepStarted

          public void stepStarted​(AbstractStepScope<Solution_> stepScope)

      Specified by:
        `stepStarted` in interface `PhaseLifecycleListener<Solution_>`

    - #### stepEnded

          public void stepEnded​(AbstractStepScope<Solution_> stepScope)

      Specified by:
        `stepEnded` in interface `PhaseLifecycleListener<Solution_>`

    - #### phaseEnded

          public void phaseEnded​(AbstractPhaseScope<Solution_> phaseScope)

      Specified by:
        `phaseEnded` in interface `PhaseLifecycleListener<Solution_>`

    - #### solvingEnded

          public void solvingEnded​(SolverScope<Solution_> solverScope)

      Specified by:
        `solvingEnded` in interface `SolverLifecycleListener<Solution_>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`